Bug 832909 - Internal custom_directory variable exported from GeoIP.c
Internal custom_directory variable exported from GeoIP.c
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GeoIP (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
https://github.com/maxmind/geoip-api-...
:
Depends On:
Blocks: 832899
  Show dependency treegraph
 
Reported: 2012-06-18 03:51 EDT by Florian Weimer
Modified: 2013-04-02 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 06:18:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2012-06-18 03:51:06 EDT
GeoIP.c declares a global variable of the name custom_directory.  This variable should not be part of the public API.  If the variable needs to be exported, it should receive a "GeoIP_" prefix.
Comment 1 Fedora Admin XMLRPC Client 2012-10-22 10:21:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 11:51:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Florian Weimer 2013-01-16 12:58:06 EST
Still present in GeoIP-1.4.8-4.fc18.x86_64.
Comment 4 Paul Howarth 2013-02-20 09:03:10 EST
Raised upstream:

https://github.com/maxmind/geoip-api-c/issues/6

Note You need to log in before you can comment on or make changes to this bug.